Skip to content
Start here

Replace a participant's detail

PUT/accounts/{account_id}/realtime/kit/{app_id}/meetings/{meeting_id}/participants/{participant_id}

Replaces a participant’s details for the given meeting and participant ID.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Realtime AdminRealtime
Path ParametersExpand Collapse
account_id: string

The account identifier tag.

maxLength32
app_id: string

The app identifier tag.

meeting_id: string
formatuuid
participant_id: string
Body ParametersJSONExpand Collapse
custom_participant_id: string

Unique participant ID accepted by the replace participant API.

preset_name: string

Name of the preset to apply to this participant.

name: optional string

(Optional) Name of the participant.

picture: optional string

(Optional) A URL to a picture to be used for the participant.

formaturi
ReturnsExpand Collapse
success: boolean

Success status of the operation

data: optional object { id, token, created_at, 7 more }

Represents a participant.

id: string

ID of the participant.

formatuuid
token: string

The participant’s auth token that can be used for joining a meeting from the client side.

created_at: string

When this object was created. The time is returned in ISO format.

formatdate-time
custom_participant_id: string

A unique participant ID generated by the client.

preset_name: string

Preset applied to the participant.

updated_at: string

When this object was updated. The time is returned in ISO format.

formatdate-time
expires_on: optional string

Time at which the token stops being valid, in UTC. Returned when adding a participant.

formatdate-time
name: optional string

Name of the participant.

not_before: optional string

Time from which the token is valid, in UTC. Returned when adding a participant.

formatdate-time
picture: optional string

URL to a picture of the participant.

formaturi

Replace a participant's detail

curl https://api.cloudflare.com/client/v4/accounts/$ACCOUNT_ID/realtime/kit/$APP_ID/meetings/$MEETING_ID/participants/$PARTICIPANT_ID \
    -X PUT \
    -H 'Content-Type: application/json' \
    -H "Authorization: Bearer $CLOUDFLARE_API_TOKEN" \
    -d '{
          "custom_participant_id": "custom_participant_id",
          "preset_name": "preset_name"
        }'
{
  "success": true,
  "data": {
    "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    "token": "token",
    "created_at": "2019-12-27T18:11:19.117Z",
    "custom_participant_id": "custom_participant_id",
    "preset_name": "preset_name",
    "updated_at": "2019-12-27T18:11:19.117Z",
    "expires_on": "2026-10-01T11:00:00Z",
    "name": "name",
    "not_before": "2026-10-01T09:00:00Z",
    "picture": "https://example.com"
  }
}
Returns Examples
{
  "success": true,
  "data": {
    "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    "token": "token",
    "created_at": "2019-12-27T18:11:19.117Z",
    "custom_participant_id": "custom_participant_id",
    "preset_name": "preset_name",
    "updated_at": "2019-12-27T18:11:19.117Z",
    "expires_on": "2026-10-01T11:00:00Z",
    "name": "name",
    "not_before": "2026-10-01T09:00:00Z",
    "picture": "https://example.com"
  }
}